Bug 140027 - [patch] New port: devel/hg-git. Mercurial extension to pull from or push to a Git repository
Summary: [patch] New port: devel/hg-git. Mercurial extension to pull from or push to a...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-27 20:00 UTC by Marco Bröder
Modified: 2009-11-02 11:10 UTC (History)
0 users

See Also:


Attachments
file.shar (2.89 KB, text/plain)
2009-10-27 20:00 UTC, Marco Bröder
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Bröder 2009-10-27 20:00:07 UTC
Please look at PR: ports/140025 . It is the dependency (new) port, which needs to be committed first. Many thanks!

====

The Hg-Git plugin is an extension for Mercurial, adding the ability to push to
and pull from a Git server repository from Mercurial. This means you can
collaborate on Git based projects from Mercurial, or use a Git server as a
collaboration point for a team with developers using both Git and Mercurial.

The Hg-Git plugin can convert commits / changesets losslessly from one system to
another, so you can push via a Mercurial repository and another Mercurial client
can pull it and their changeset node ids will be identical - Mercurial data does
not get lost in translation.

This plugin is implemented entirely in Python - there are no Git binary
dependencies, you do not need to have Git installed on your system.

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2009-10-29 09:21:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2009-10-30 10:39:38 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2009-10-30 10:40:09 UTC
miwi        2009-10-30 10:39:53 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/p5-DateTime-Format-XSD Makefile distinfo pkg-descr 
                                 pkg-plist 
  Log:
  XML Schema defines a usage profile which is a subset of
  the ISO8601 profile.  This profile defines that the
  following is the only possible representation for a
  dateTime, despite all other options ISO provides.
  
  WWW: http://search.cpan.org/perldoc?DateTime::Format::XSD
  
  PR:             ports/140027
  Submitted by:   Sergey V. Dyatko <Sergey.Dyatko at gmail.com>
  
  Revision  Changes    Path
  1.3677    +1 -0      ports/devel/Makefile
  1.1       +24 -0     ports/devel/p5-DateTime-Format-XSD/Makefile (new)
  1.1       +3 -0      ports/devel/p5-DateTime-Format-XSD/distinfo (new)
  1.1       +6 -0      ports/devel/p5-DateTime-Format-XSD/pkg-descr (new)
  1.1       +8 -0      ports/devel/p5-DateTime-Format-XSD/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2009-10-30 10:40:17 UTC
State Changed
From-To: closed->open

wrong pr closed.
Comment 5 Martin Wilke freebsd_committer 2009-11-02 10:59:44 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 6 dfilter service freebsd_committer 2009-11-02 11:00:38 UTC
miwi        2009-11-02 11:00:25 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/dulwich        Makefile distinfo pkg-descr pkg-plist 
  Log:
  Dulwich is a pure-Python implementation of the Git file formats and protocols.
  
  It aims to give an interface to git repos that doesn't call out to git directly
  but instead uses pure Python. It is based on the Python-Git module released by
  James Westby.
  
  WWW:    http://samba.org/~jelmer/dulwich/
  
  PR:             ports/140027
  Submitted by:   Marco Broeder <marco.broeder at gmx.eu>
  
  Revision  Changes    Path
  1.3679    +1 -0      ports/devel/Makefile
  1.1       +39 -0     ports/devel/dulwich/Makefile (new)
  1.1       +3 -0      ports/devel/dulwich/distinfo (new)
  1.1       +7 -0      ports/devel/dulwich/pkg-descr (new)
  1.1       +69 -0     ports/devel/dulwich/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"